# -*- coding: utf-8 -*-
from setuphelpers import *
import shutil

uninstallkey = []

def install():
    print('installing freemind')
    install_dmg('FreeMind_%s.dmg' % control.version.split('-')[0])

def uninstall():
    shutil.rmtree('/Applications/FreeMind.app')

def update_package():
    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    import json
    json_data = json.loads( wgets('https://sourceforge.net/projects/freemind/best_release.json',proxies=proxies))['platform_releases']['mac']
    filename = json_data['filename'].split('/')[-1]
    url = json_data['url'].split('?ts=')[0].replace('http://downloads.','https://deac-ams.dl.')

    for exe in glob.glob('*.dmg'):
        if exe != filename:
            remove_file(exe)

    if not isfile(filename):
        wget(url,filename,proxies=proxies)

    version = filename.split('_')[1].strip('.dmg')

    control.version = '%s-0' %(version)
    control.save_control_to_wapt()